#include<iostream>
using namespace std;
const int MAXN = 1e5+7;
int poziciq[MAXN];
int a[MAXN];
int b[MAXN];
int main(){
    int n;
    cin>>n;
    for(int i=0;i<n;i++){
        cin>>a[i];
        poziciq[a[i]]=i;
    }
    for(int i=0;i<n;i++){
        cin>>b[i];
    }
    int j;
    int prev,curr;
    int ans = 0;
    j=poziciq[b[0]];
    for(int i=1;i<n;i++){
        curr=poziciq[b[i]];
        if(curr==j+1){
            j++;
        }else{
            j=curr;
            ans++;
        }
    }
    cout<<ans+1<<"\n";
    return 0;
}
